Bug 585173 - [abrt] crash in gedit-1:2.28.3-1.fc12: controlyourtabs.py:374:get_stock_icon:GError: Icon 'gtk-revert-to-saved' not present in theme
[abrt] crash in gedit-1:2.28.3-1.fc12: controlyourtabs.py:374:get_stock_icon:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:93dc1b8a
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 06:48 EDT by Zeng Yi
Modified: 2010-12-03 10:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:32:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (862 bytes, text/plain)
2010-04-23 06:48 EDT, Zeng Yi
no flags Details

  None (edit)
Description Zeng Yi 2010-04-23 06:48:16 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
cmdline: gedit
component: gedit
executable: /usr/lib64/gedit-2/plugins
kernel: 2.6.32.10-90.fc12.x86_64
package: gedit-1:2.28.3-1.fc12
reason: controlyourtabs.py:374:get_stock_icon:GError: Icon 'gtk-revert-to-saved' not present in theme
release: Fedora release 12 (Constantine)

backtrace
-----
controlyourtabs.py:374:get_stock_icon:GError: Icon 'gtk-revert-to-saved' not present in theme

Traceback (most recent call last):
  File "/home/zengyi/.gnome2/gedit/plugins/controlyourtabs.py", line 190, in sync_icon_and_name
    model[path][0] = self.tab_get_icon(tab)
  File "/home/zengyi/.gnome2/gedit/plugins/controlyourtabs.py", line 214, in tab_get_icon
    pixbuf = self.get_stock_icon(theme, self.TAB_STATE_TO_ICON[state], icon_size_height)
  File "/home/zengyi/.gnome2/gedit/plugins/controlyourtabs.py", line 374, in get_stock_icon
    pixbuf = theme.load_icon(stock, size, 0)
GError: Icon 'gtk-revert-to-saved' not present in theme

Local variables in innermost frame:
theme: <gtk.IconTheme object at 0x33c0e60 (GtkIconTheme at 0x2369900)>
stock: 'gtk-revert-to-saved'
self: <controlyourtabs.ControlYourTabsWindowHelper instance at 0x323aea8>
size: 16
Comment 1 Zeng Yi 2010-04-23 06:48:18 EDT
Created attachment 408570 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 12:30:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 10:32:45 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.